import HttpKit from '@/utils/http-kit'

export default {
  /**
  * 功能描述：查询所有[账号]
  * @param form
  */
  page(form) {
    return HttpKit.post(`/admin/guardian/page`, form).then(
      res => res.data
    )
  },
  /**
  * 功能描述：更新删除关联小孩
  * @param form
  */
  childRelation(form) {
    return HttpKit.post(`/admin/guardian/child/relation`, form).then(
      res => res.data
    )
  },
  /**
  * 功能描述：删除关联小孩
  * @param form
  */
  childDelete(accountChildId) {
    return HttpKit.delete(`/admin/guardian/child/${accountChildId}`).then(
      res => res.data
    )
  },
  /**
  * 功能描述：查询账号下的报课信息
  * @param form
  */
  findByAccountId(accountId) {
    return HttpKit.post(`/admin/guardian/class/${accountId}`).then(
      res => res.data
    )
  }
}
